% Prepares the stochastic normalizing matrices for bipartite graph walk
% kernel.
% The output is sparse.
%
% Decomposition of a forward biparitte random walk matrix W (for W*v):
% W=M*Ncol*M'*Nrow
% Decomposition of a backward bipartite random walk matrix W (for W*v):
% W=Nrow*M*Ncol*M'

function [Nrow,Ncol]=prep_bipart(M)

Nrow=degree_inv(M);
Ncol=degree_inv(M');

end